<?php

/**
 * HostPad - Joomla Template
 *
 * @package bt_hostpad
 * @version 1.0
 * @copyright BonusThemes.com 2011
 * @link http://www.bonusthemes.com/goto/bt_hostpad
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


if (!$mod->loaded) {
	return;
}

global $tpl;

echo
'<div id="' . $mod->iname . '" class="dmenu">
	<table class="dmenu_ctbl" align="center">
		<tr>
';

$first = true;
foreach ($mod->menu_base as $id) {
	if ($first) {
		$first = false;
	}
	else {
		echo
'			<td class="dmenu_hd_gap"><div class="dmenu_hd_gap">&nbsp;</div></td>
';
	}
	
	$caption = htmlspecialchars($mod->items[$id]->name);

	if (in_array($id, $mod->hdcnt_ids)) {
		// show arrow
	}
	else {
		$caption = '<a ' . $mod->items[$id]->href . '>' . $caption . '</a>';
	}

	echo
'			<td class="dmenu_hd_norm_l"><div class="dmenu_hd_norm_l"></div></td>
			<td id="' . $mod->iname . '_hd_' . $id . '" class="dmenu_hd_norm_c">' . $caption . '</td>
			<td class="dmenu_hd_norm_r"><div class="dmenu_hd_norm_r"></div></td>
';
}

echo
'		</tr>
	</table>
</div>

<div id="' . $mod->iname . '_aux" style="display:none">
	<div id="' . $mod->iname . '_deck" class="dmenu_deck">
		<table class="dmenu_ctbl"><tr>
			<td class="dmenu_dd_tl"><div class="dmenu_dd_tl"><img src="' . $tpl->path . '/images/layout/dmenu_dd_tl.png" alt="" /></div></td>
			<td class="dmenu_dd_tc"><div>&nbsp;</div></td>
			<td class="dmenu_dd_tarrow"><div class="dmenu_dd_tarrow"><img src="' . $tpl->path . '/images/layout/dmenu_dd_tarrow.png" alt="" /></div></td>
			<td class="dmenu_dd_tc"><div>&nbsp;</div></td>
			<td class="dmenu_dd_tl"><div class="dmenu_dd_tr"><img src="' . $tpl->path . '/images/layout/dmenu_dd_tr.png" alt="" /></div></td>
		</tr></table>
		
		<div class="dmenu_dd_rsz"><div class="dmenu_dd_ml"><div class="dmenu_dd_mr"><div class="dmenu_dd_mc">
			<div id="' . $mod->iname . '_show_container">
				<div id="' . $mod->iname . '_show_slides"><table class="dmenu_ctbl"><tr>
					<td valign="top" nowrap="nowrap"><div id="' . $mod->iname . '_show_area">&nbsp;</div></td>
					<td valign="top" nowrap="nowrap"><div id="' . $mod->iname . '_show_new"></div></td>
				</tr></table></div>
			</div>
		</div></div></div></div>

		<table class="dmenu_ctbl"><tr>
			<td class="dmenu_dd_bl"><img src="' . $tpl->path . '/images/layout/dmenu_dd_bl.png" alt="" /></td>
			<td class="dmenu_dd_bc"><div>&nbsp;</div></td>
			<td class="dmenu_dd_bl"><img src="' . $tpl->path . '/images/layout/dmenu_dd_br.png" alt="" /></td>
		</tr></table>
	</div>

	<div id="' . $mod->iname . '_tpl_primary" class="dmenu_cnt dmenu_cnt_primary">
		<table class="dmenu_ctbl dmenu_ddhead" width="1"><tr>
			<td class="dmenu_shnw"> &nbsp; </td>
			<td class="dmenu_shnw"><div class="back_link_disabled"><div class="dmenu_dd_btn_l"><div class="dmenu_dd_btn_r"><div class="dmenu_dd_btn_c">' . JText::_('DMENU_BACK') . '</div></div></div></div></td>
			<td> &nbsp; &nbsp; </td>
			<td class="dmenu_dd_title">{TITLE}</td>
			<td> &nbsp; &nbsp; </td>
			<td class="dmenu_shnw"><div class="DMENU_CLOSE_LINK"><div class="dmenu_dd_btn_l"><div class="dmenu_dd_btn_r"><div class="dmenu_dd_btn_c">' . JText::_('DMENU_CLOSE') . '</div></div></div></div></td>
			<td class="dmenu_shnw"> &nbsp; </td>
		</tr></table>
		<div class="dmenu_dd_hdsplit"></div>
		<div class="dmenu_dd_cnt_tl"><div class="dmenu_dd_cnt_tr"><div class="dmenu_dd_cnt_tc"></div></div></div>
		<div class="dmenu_dd_cnt_ml"><div class="dmenu_dd_cnt_mr"><div class="dmenu_dd_cnt_mc">
{BODY}
		</div></div></div>
		<div class="dmenu_dd_cnt_bl"><div class="dmenu_dd_cnt_br"><div class="dmenu_dd_cnt_bc"></div></div></div>
	</div>

	<div id="' . $mod->iname . '_tpl_secondary" class="dmenu_cnt dmenu_cnt_secondary">
		<table class="dmenu_ctbl dmenu_ddhead"><tr>
			<td class="dmenu_shnw"> &nbsp; </td>
			<td class="dmenu_shnw"><div class="DMENU_BACK_LINK"><div class="dmenu_dd_btn_l"><div class="dmenu_dd_btn_r"><div class="dmenu_dd_btn_c">' . JText::_('DMENU_BACK') . '</div></div></div></div></td>
			<td> &nbsp; &nbsp; </td>
			<td class="dmenu_dd_title">{TITLE}</td>
			<td> &nbsp; &nbsp; </td>
			<td class="dmenu_shnw"><div class="DMENU_CLOSE_LINK"><div class="dmenu_dd_btn_l"><div class="dmenu_dd_btn_r"><div class="dmenu_dd_btn_c">' . JText::_('DMENU_CLOSE') . '</div></div></div></div></td>
			<td class="dmenu_shnw"> &nbsp; </td>
		</tr></table>
		<div class="dmenu_dd_hdsplit"></div>
		<div class="dmenu_dd_cnt_tl"><div class="dmenu_dd_cnt_tr"><div class="dmenu_dd_cnt_tc"></div></div></div>
		<div class="dmenu_dd_cnt_ml"><div class="dmenu_dd_cnt_mr"><div class="dmenu_dd_cnt_mc">
{BODY}
		</div></div></div>
		<div class="dmenu_dd_cnt_bl"><div class="dmenu_dd_cnt_br"><div class="dmenu_dd_cnt_bc"></div></div></div>
	</div>

	<div id="' . $mod->iname . '_stock">
' . $mod->get_html_content() . '
	</div>
</div>
';

?>