<?php

/**
 * HostPad - Joomla Template
 *
 * @package bt_hostpad
 * @version 1.0
 * @copyright BonusThemes.com 2011
 * @link http://www.bonusthemes.com/goto/bt_hostpad
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


require_once(dirname(__FILE__) . '/inc/template.php');
global $tpl;

global $main_tdgap;
$main_tdgap = '<td class="main_tdgap">&nbsp; &nbsp;</td>' . "\n";
$inset_tdgap = '<td class="inset_tdgap"> &nbsp; &nbsp; &nbsp; &nbsp; </td>' . "\n";
$cnt_tdgap = '<td class="cnt_tdgap"><div class="cnt_tdgap">&nbsp;</div></td>' . "\n";

echo
'<!DOCTYPE html>
<html>
<head>

<jdoc:include type="head" />

<link id="css_layout" href="' . $tpl->path . '/css/layout.css" rel="stylesheet" type="text/css" />
<link id="css_template" href="' . $tpl->path . '/css/template.css" rel="stylesheet" type="text/css" />

<!--[if lt IE 9]>
<link href="' . $tpl->path . '/css/template.ie78.css" rel="stylesheet" type="text/css" />
<![endif]-->

<style type="text/css">
.wrapper { width: ' . $tpl->width . 'px; }
</style>

<script type="text/javascript" src="' . $tpl->path . '/js/template.js"></script>

';

echo '</head>' . "\n";

echo '<body>' . "\n";

if ($tpl->seocp) {
	echo
'<div style="display:none">
' . $tpl->get_mainbody_pragma() . '
</div>
';
}

echo '
<div id="wrapper">
	<div id="r0" class="r0"></div>
';

if ($tpl->modcount('icon') || $tpl->modcount('header') || $tpl->modcount('toolbar')) {
	echo '
	<div id="r1" class="r1"><div id="r1_inner" class="r1_inner wrapper">
		<div id="spacer1"></div>
' . $tpl->get_positions(array('icon', 'header', 'toolbar')) . '
		<div id="spacer2"></div>
	</div></div>
';
}

if ($tpl->top14 || $tpl->top58) {
	echo '		
	<div id="r2" class="r2">
		<div id="spacer3"></div>
		<div id="r2_inner" class="r2_inner wrapper">
			<div id="spacer4"></div>
			<table class="ctbl100">
				<tr>
					<td style="vertical-align:top;" class="r2_tl"' . ($tpl->top14 && $tpl->top58 ? ' rowspan="2"' : '') . '><div id="r2_tl" class="r2_tl"></div></td>
';

	$colspan = 0;
	$first = true;
	for ($i = 1; $i <= 4; $i++) {
		if ($tpl->modcount('top' . $i)) {
			if ($first) {
				$first = false;
			}
			else {
				$colspan++;
				echo
'					' . $main_tdgap;
			}

			$colspan++;
			echo
'					<td style="vertical-align:top; ' . $tpl->td_width_style('top' . $i) . '">
' . $tpl->get_position('top' . $i, true, true) . '
					</td>
';
		}
	}

	echo
'					<td class="r2_tr"><div id="r2_tr" class="r2_tr"></div></td>
				</tr>
';

	if ($tpl->top14 && $tpl->top58) {
		echo
'				<tr>

 					<td colspan="' . $colspan . '"><div id="spacer5"></div></td>
				</tr>
';
	}

	echo
'			</table>
' . $tpl->get_positions(array('top5', 'top6', 'top7', 'top8'), '', true, false) . '
		</div>
	</div>
';
}

echo '	
	<div class="middle_area">
';

if ($tpl->modcount('inset1') || $tpl->modcount('inset2') || $tpl->modcount('inset3') || $tpl->modcount('inset4')) {
	echo '
		<div id="r3" class="r3"><div class="r3_ml wrapper"><div class="r3_mr"><div class="r3_mc"><div class="r3_cnt">
			<div id="spacer6"></div>
' . $tpl->get_positions(array('inset1', 'inset2', 'inset3', 'inset4'), '', true, false, '', $inset_tdgap) . '
			<div id="spacer7"></div>
		</div></div></div></div></div>
		<div id="r3_bl" class="r3_bl wrapper"><div class="r3_br"><div class="r3_bc"></div></div></div>
';
}

echo '
		<div id="spacer8"></div>
';


if ($tpl->modcount('up1') || $tpl->modcount('up2') || $tpl->modcount('up3') || $tpl->modcount('up4')) {
	echo '
		<div id="down_area" class="down_area wrapper">
' . $tpl->get_positions(array('up1', 'up2', 'up3', 'up4'), 'spacer9', true, false) . '
		</div>
';
}

if ($tpl->show_body()) {
	echo '
		<div id="main_tl" class="main_tl wrapper"><div class="main_tr"><div class="main_tc"></div></div></div>
		<div id="main_m1" class="main_m1 wrapper"><div class="main_m2"><div class="main_mc">
			<div id="spacer10"></div>
';

	if ($tpl->modcount('spot1') || $tpl->modcount('spot2') || $tpl->modcount('spot3') || $tpl->modcount('spot4')) {
		echo '
			<div id="spot_area" class="spot_area">
' . $tpl->get_positions(array('spot1', 'spot2', 'spot3', 'spot4'), 'spacer11', true, false) . '
			</div>
';
	}

	if ($tpl->modcount('breadcrumb')) {
		echo '
<div class="pathway_c"><div class="pathway_l"><div class="pathway_r">
	<div class="pathway_tc"></div>
	<div class="pathway_mc">
		<a href="' . $tpl->get_home() . '"><img id="pathway_home" src="' . $tpl->path . '/images/layout/home.png" alt="" style="float:left; border-style:none;" /></a>
' . $tpl->get_pathway() . '
	</div>
	<div class="pathway_bc"></div>
</div></div></div>
';
	}

	echo '
			<div id="cnt_area" class="cnt_area">
';

	if ($tpl->modcount('newsflash')) {
		echo
'				<table class="ctbl100"><tr>
					' . $cnt_tdgap . '
					<td style="vertical-align:top; ' . $tpl->td_width_style('newsflash') . '">
' . $tpl->get_position('newsflash', true, true) . '
					</td>
					' . $cnt_tdgap . '
				</tr></table>
';
	}
	
	if ($tpl->modcount('news1') || $tpl->modcount('news2') || $tpl->modcount('news3')) {
		echo
'				<table class="ctbl100"><tr>
					' . $cnt_tdgap;

		$first = true;
		for ($i = 1; $i <= 3; $i++) {
			if ($tpl->modcount('news' . $i)) {
				if ($first) {
					$first = false;
				}
				else {
					echo
'					' . $cnt_tdgap;
				}

				echo
'					<td style="vertical-align:top; ' . $tpl->td_width_style('news' . $i) . '">
' . $tpl->get_position('news' . $i, true, true) . '
					</td>
';
			}
		}
					
		echo
'					' . $cnt_tdgap . '
				</tr></table>
';
	}

	echo '
				<table class="ctbl100">
					<tr>
' . $cnt_tdgap;

	if ($tpl->modcount('left') || $tpl->modcount('left_down')) {
		echo '
						<td style="vertical-align:top; ' . $tpl->td_width_style(array('left', 'left_down'), true) . '">
' . $tpl->get_position('left') . '
' . $tpl->get_position('left_down') . '
						</td>
' . $cnt_tdgap;
	}

	echo
'						<td style="vertical-align:top;">
';

	if ($tpl->show_body() == 1) {
		require(dirname(__FILE__) . '/inc/content.wrapper.php');
		echo $btcnt_page_open . $btcnt_title_open . $tpl->document->title . $btcnt_title_close . $btcnt_body_open;
	}

 	echo $tpl->get_message() . '
' . $tpl->get_mainbody_wrapper() . '
';

	if ($tpl->show_body() == 1) {
		echo $btcnt_body_close . $btcnt_page_close;
	}

	echo
'							<div id="spacer12"></div>
						</td>
';

	if ($tpl->modcount('right') || $tpl->modcount('right_down')) {
		echo $cnt_tdgap . '
						<td style="vertical-align:top; ' . $tpl->td_width_style(array('right', 'right_down'), true) . '">
' . $tpl->get_position('right') . '
' . $tpl->get_position('right_down') . '
						</td>
';
	}

	echo $cnt_tdgap . '
					</tr>
				</table>
';

	if ($tpl->modcount('notice1') || $tpl->modcount('notice2') || $tpl->modcount('notice3')) {
		echo
'				<table class="ctbl100"><tr>
					' . $cnt_tdgap;

		$first = true;
		for ($i = 1; $i <= 3; $i++) {
			if ($tpl->modcount('notice' . $i)) {
				if ($first) {
					$first = false;
				}
				else {
					echo
'					' . $cnt_tdgap;
				}

				echo
'					<td style="vertical-align:top; ' . $tpl->td_width_style('notice' . $i) . '">
' . $tpl->get_position('notice' . $i, true, true) . '
					</td>
';
			}
		}
					
		echo
'					' . $cnt_tdgap . '
				</tr></table>
';
	}

	if ($tpl->modcount('banner')) {
		echo
'				<table class="ctbl100"><tr>
					' . $cnt_tdgap . '
					<td style="vertical-align:top; ' . $tpl->td_width_style('banner') . '">
' . $tpl->get_position('banner', true, true) . '
					</td>
					' . $cnt_tdgap . '
				</tr></table>
';
	}

	echo
'				<div class="cnt_bc"><div class="cnt_bl"><div class="cnt_br"></div></div></div>
			</div>
';

	if ($tpl->modcount('ad1') || $tpl->modcount('ad2') || $tpl->modcount('ad3') || $tpl->modcount('ad4')) {
		echo '
			<div id="ad_area" class="ad_area">
' . $tpl->get_positions(array('ad1', 'ad2', 'ad3', 'ad4'), 'spacer13', false, false) . '
			</div>
';
	}

	echo '
		</div></div></div>
		<div id="main_bl" class="main_bl wrapper"><div class="main_br"><div class="main_bc"></div></div></div>
		<div id="spacer14"></div>
';
}

if ($tpl->modcount('down1') || $tpl->modcount('down2') || $tpl->modcount('down3') || $tpl->modcount('down4')) {
	echo '
		<div id="down_area" class="down_area wrapper">
' . $tpl->get_positions(array('down1', 'down2', 'down3', 'down4'), 'spacer15', true, false) . '
		</div>
';
}

echo '
	</div>

	<div id="footer_area" class="footer_area"><div id="footer_inner" class="footer_inner wrapper">
		<div id="spacer16"></div>
		
' . $tpl->get_positions(array('bottom1', 'bottom2', 'bottom3', 'bottom4'), 'spacer17', true, false) . '

		<table class="ctbl100">
			<tr>
				<td style="vertical-align:top;"></td>
';

if ($tpl->lshow) {
	echo
'				<td style="vertical-align:top; width:50px;">
					<a id="lshow" href="http://www.bonusthemes.com" onfocus="blur()" target="_blank"><img id="img_lshow" src="' . $tpl->path . '/images/layout/btlogo.png" alt="BonusThemes.com" style="border-style:none;" /></a>
				</td>
';
}

echo
'				<td style="vertical-align:top;">
' . ($tpl->modcount('footer') ? $tpl->get_position('footer') : '&nbsp;') . '
				</td>
				<td style="vertical-align:top; width:50px; text-align:right;">
					<a href="javascript:void(0)" onfocus="blur()" onclick="goto_top()">
						<img src="' . $tpl->path . '/images/layout/goto_top.png" alt="Top" style="border-style:none;" />
					</a>
				</td>
			</tr>
		</table>

		<div id="spacer18"></div>

	</div></div>

</div>
';

if ($tpl->seocp) {
	echo '
<script type="text/javascript">
document.getElementById("mainbody_area").appendChild(document.getElementById("mainbody"));
</script>
';
}

foreach (array('aux1', 'aux2', 'aux3', 'aux4', 'aux5') as $position) {
	echo $tpl->get_hidden_position($position);
}

echo $tpl->get_debug();

echo '
</body>
</html>
';

?>